org.apache.cassandra.cql3

## Class Terms

- java.lang.Object
- - org.apache.cassandra.cql3.Terms

    public class Terms
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Terms()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addFunctions(java.lang.Iterable<Term> terms, java.util.List<Function> functions)`
`static java.nio.ByteBuffer` `asBytes(java.lang.String keyspace, java.lang.String term, AbstractType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Terms

    public Terms()

### Method Detail

#### addFunctions

    public static void addFunctions(java.lang.Iterable<Term> terms,
                                    java.util.List<Function> functions)

#### asBytes

    public static java.nio.ByteBuffer asBytes(java.lang.String keyspace,
                                              java.lang.String term,
                                              AbstractType type)